#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	harfbuzz-bt
Version		:	9.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Text shaping library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/harfbuzz/harfbuzz/releases/

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	freetype-devel
BuildRequires	:	fontconfig-devel
BuildRequires	:	graphite2
BuildRequires	:	gobject-introspection
BuildRequires	:	icu
BuildRequires	:	meson
BuildRequires	:	ninja
#-----------------------------------------------------------------------------
%description
HarfBuzz is an implementation of the OpenType Layout engine.
This is the bootstrap harfbuzz (compiled without cairo)

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/lib%{sname}.so.*
%{_libdir}/lib%{sname}-gobject.so.*
%{_libdir}/lib%{sname}-subset.so.*
%{_libdir}/girepository-1.0/HarfBuzz-0.0.typelib

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}
Requires	:       %{name}-icu	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{sname}/hb*.h
%{_includedir}/%{sname}/hb-cplusplus.hh
%{_bindir}/hb*
%{_libdir}/lib%{sname}.so
%{_libdir}/lib%{sname}-gobject.so
%{_libdir}/lib%{sname}-icu.so
%{_libdir}/lib%{sname}-subset.so
%{_libdir}/pkgconfig/%{sname}*.pc
%{_libdir}/cmake/%{sname}/%{sname}-config.cmake
%{_datadir}/gir-1.0/HarfBuzz-0.0.gir

#=============================================================================
%package		icu
Summary		:	Harfbuzz ICU support library

#-----------------------------------------------------------------------------
Requires	:       %{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		icu
This package contains Harfbuzz ICU support library.

#-----------------------------------------------------------------------------
%files			icu
%defattr(-,root,root,-)
%{_libdir}/lib%{sname}-icu.so.*

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson	setup						\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	-D benchmark=disabled				\
	-D cairo=disabled				\
	-D docs=disabled				\
	-D freetype=enabled				\
	-D glib=enabled					\
	-D graphite=enabled				\
	-D gobject=enabled				\
	-D icu=enabled					\
	-D introspection=enabled			\

ninja

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
